
Synnefo - Bug # 2068

Status: Closed Priority: Medium

Author: Antony Chazapis Category: Pithos

Created: 02/17/2012 Assignee: Antony Chazapis

Updated: 02/08/2013 Due date:

Subject: Cross-user sharing problem

Description

As sent:

Υπάρχει το εξής πρόβλημα με τα νέα permissions:

Μου έχει κάνει κάποιος share (read) ένα folder. Κανονικά πρέπει να έχω read και σε ό,τι υπάρχει μέσα.

Την ώρα που κατασκευάζεται το δέντρο για τα other shared, όταν κάνει cross-user GET με prefix=folder (στο οποίο έχω read)

παίρνει 403-FORBIDDEN.

Associated revisions

Revision fcd37c40 - 02/20/2012 06:10 pm - Antony Chazapis

Fix shared object listings.

Fixes #2068

Revision fcd37c40 - 02/20/2012 06:10 pm - Antony Chazapis 

Fix shared object listings.

Fixes #2068

History

#1 - 02/17/2012 08:45 pm - Antony Chazapis

- Assignee set to Antony Chazapis

- Target version set to 0.9.0 (beta)

#2 - 02/20/2012 06:14 pm - Antony Chazapis

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"fcd37c40c30c69137084d1b458c9b723344f76eb".

#3 - 02/08/2013 06:59 pm - Vangelis Koukis

- Project changed from Pithos to Synnefo

- Target version deleted (0.9.0 (beta))
#4 - 02/08/2013 07:01 pm - Vangelis Koukis

- Category set to Pithos
